package com.m20.absolute.schematron.ast;

import java.util.List;

/**
 * A rule maps to the rule element in Schematron. A rule element in Schematron
 * has a context attribute, an id attribute and an assertion child element. The
 * context and id map to the rule's context and id in NRL.
 * 
 * The class implements methods to access the id, context and assertion of a rule.
 * 
 * @author Adriana Alexandru
 */

public class Rule {

	private List<String> context;
	private String id;
	private Assertion assertion;

	public Assertion getAssertion() {
		return assertion;
	}

	public List<String> getContext() {
		return context;
	}

	public String getId() {
		return id;
	}

	public void setAssertion(Assertion assertion) {
		this.assertion = assertion;
	}

	public void setContext(List<String> context) {
		this.context = context;
	}

	public void setId(String id) {
		this.id = id;
	}
}
