package com.m20.absolute.schematron.ast.xpath;

/**
 * A binary predicate compares two expressions for the purpose of returning a Boolean result.
 * The class implements the methods to access the two expressions and to determine which operator applies. 
 * 
 * @author Adriana Alexandru
 */
public class BinaryPredicate extends PathExpr {
	public enum Operator {
		EQUAL, GREATER, GREATER_OR_EQUAL, LESS, LESS_OR_EQUAL, NOT_EQUAL;
	}
	private PathExpr left;

	private Operator op;

	private PathExpr right;
	
	public PathExpr getLeft() {
		return left;
	}

	public Operator getOp() {
		return op;
	}

	public PathExpr getRight() {
		return right;
	}

	public void setLeft(PathExpr left) {
		this.left = left;
	}

	public void setOp(Operator op) {
		this.op = op;
	}

	public void setRight(PathExpr right) {
		this.right = right;
	}

}
