package com.m20.absolute.schematron.ast.xpath;

import java.util.ArrayList;

/**
 * A path is made of steps which are attributes of the model element. The path
 * is used to reference a model attribute. The class implements the methods that
 * access the steps of the path. The methods help to construct a path and to
 * navigate between the steps the path.
 * 
 * @author Adriana Alexandru
 * 
 */

public class Path extends PathExpr {
	private ArrayList<Step> steps = new ArrayList<Step>();

	/**
	 * 
	 * @param step
	 * @return a {@link Step}, which is an AST construct
	 */
	public Step getStep(int step) {
		return steps.get(step);
	}
    /**
     * @param
     * @return
     */
     public ArrayList<Step> getSteps() {
		return steps;
	}

	public void addStep(Step step) {
		steps.add(step);
	}

}
