package com.m20.absolute.schematron;

import java.io.StringReader;

import net.sourceforge.nrl.parser.NRLParser;
import net.sourceforge.nrl.parser.ast.IRuleFile;
import net.sourceforge.nrl.parser.ast.constraints.IConstraint;
import net.sourceforge.nrl.parser.ast.constraints.IConstraintRuleDeclaration;
import net.sourceforge.nrl.parser.model.IPackage;
import net.sourceforge.nrl.parser.model.ModelCollection;

public class TestUtilities {

	public static IConstraint parseConstraint(String nrl, IPackage model)
			throws Exception {
		String rawFile = "Model \"model.xsd\" Context: Trade Validation Rule \"test-rule\" "
				+ nrl;

		NRLParser parser = new NRLParser();
		IRuleFile ruleFile = parser.parse(new StringReader(rawFile));
		if (parser.getErrors().size() > 0) {
			System.err.println(parser.getErrors().get(0));
			throw new Exception("Rule " + nrl + " has errors.");
		}

		ModelCollection models = new ModelCollection();
		models.addModelPackage(model);

		parser.resolveModelReferences(ruleFile, models);
		if (parser.getErrors().size() > 0) {
			System.err.println(parser.getErrors().get(0));
			throw new Exception("Rule " + nrl
					+ " has model errors.");
		}

		return ((IConstraintRuleDeclaration) ruleFile.getRuleById("test-rule"))
				.getConstraint();
	}

	public static IConstraintRuleDeclaration parseRule(String rule,
			IPackage model) throws Exception {
		String rawFile = "Model \"model.xsd\" " + rule;

		NRLParser parser = new NRLParser();
		IRuleFile ruleFile = parser.parse(new StringReader(rawFile));
		if (parser.getErrors().size() > 0) {
			System.err.println(parser.getErrors().get(0));
			throw new Exception("Rule " + rule + " has errors.");
		}

		ModelCollection models = new ModelCollection();
		models.addModelPackage(model);

		parser.resolveModelReferences(ruleFile, models);
		if (parser.getErrors().size() > 0) {
			System.err.println(parser.getErrors().get(0));
			throw new Exception("Rule " + rule + " has model errors.");
		}

		return (IConstraintRuleDeclaration) ruleFile.getDeclarations().get(0);
	}
}
