package com.m20.absolute.schematron.ast;

import com.m20.absolute.schematron.ast.xpath.BinaryPredicate;
import com.m20.absolute.schematron.ast.xpath.PathExpr;

/**
 * The assertion represents the Schematron assert element. An assertion has a
 * test argument which maps to the test attribute of the assert element in
 * Schematron. In Schematron, the value of the test attribute is an XPath
 * expression. The test represents the constraint statement in NRL. The class
 * implements an assertion which has a test argument and the methods that access
 * the test.
 * 
 * @author Adriana Alexandru
 */

public class Assertion {
	private PathExpr test;

	public Assertion(PathExpr test) {
		this.test = test;
	}

	public Assertion() {
	}

	public void setTest(PathExpr test) {
		this.test = test;
	}

	public PathExpr getTest() {
		return test;
	}

}
