package com.m20.absolute.schematron.ast.xpath;


/**
 * A binary operator statement is either an and, or, iff or implies statement.
 * The class implements the methods to access the two children and to determine which operator applies. 
 * 
 * @author Adriana Alexandru
 *
 */
public class BinaryOperator extends PathExpr {
	public enum Operator {
		AND, OR, IFF, IMPLIES;
	}
	private PathExpr left;

	private Operator op;

	private PathExpr right;
	
	public PathExpr getLeft() {
		return left;
	}

	public Operator getOp() {
		return op;
	}

	public PathExpr getRight() {
		return right;
	}

	public void setLeft(PathExpr left) {
		this.left = left;
	}

	public void setOp(Operator op) {
		this.op = op;
	}

	public void setRight(PathExpr right) {
		this.right = right;
	}


}
